ConnectCloud Developers

The reviewers' ratings of an application (reviewers and managers of the posting)

GET /api/hr/v1/recruiting/applications/{id}/ratings

Module: HR · operationId: listApplicationRatings · Tag: Recruiting · Auth: access token (Authorization: Bearer <accessToken>)

Parameters

Name In Type Required Description
id path string (uuid) yes

Responses

  • 200 Ratings (application/json)
  • 403 Error (application/json)
  • 404 Error (application/json)

Fields of the 200 answer:

  • items (array of ApplicationRating): The reviewers' ratings
    • comment (string): The reviewer's comment
    • reviewerName (string): Display name of who rated
    • reviewerRef (string): Who rated (e-mail)
    • score (integer): Score from 1 to 5 (max 5)
    • updatedAt (string (date-time)): When the rating was last changed

Example 200 answer:

{
  "items": [
    {
      "comment": "Gutes Gespräch, lernbereit.",
      "reviewerName": "Julia Hagen",
      "reviewerRef": "julia.hagen@muster-it.example",
      "score": 4,
      "updatedAt": "2026-11-09T15:22:00Z"
    },
    {
      "comment": "Wenig Erfahrung mit Kundenprojekten.",
      "reviewerName": "Tobias Hartl",
      "reviewerRef": "tobias.hartl@muster-it.example",
      "score": 3,
      "updatedAt": "2026-11-12T10:29:00Z"
    }
  ]
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/hr/v1/recruiting/applications/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/ratings' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI